﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SpingDar
{
    public partial class Plot : Form
    {
        Pen penBlack = new Pen(Color.Black, 2);
        Font font = new Font("Arial", 40);
        //DateTime oldDateTime;
        public Plot()
        {
            InitializeComponent();
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            int ix = 250;
            int iy = 250;

            Graphics g = e.Graphics;
            SetScale(g);
            //Pen penBlack = new Pen(Color.Black, 3); 
            g.DrawLine(penBlack, 0, -300, 0, 300);
            g.DrawLine(penBlack, -300, 0, 300, 0);
            //g.DrawString(str, Font, Brushes.Black, 50, 75);
            g.DrawString("0,0", Font, Brushes.Green, 0, 0);
            g.DrawString("75,75", Font, Brushes.Black, ix, iy);
            g.DrawString("-75,-75", Font, Brushes.Black, -ix, -iy);
            g.DrawString("-75,75", Font, Brushes.Black, -ix, iy);
            g.DrawString("75,-75", Font, Brushes.Black, ix, -iy);
            g.DrawLine(Pens.Yellow, 0, 0, ix, iy);

            g.DrawLine(Pens.Blue, 0, 0, -ix, -iy);
            g.DrawLine(Pens.Red, 0, 0, -ix, iy);
            g.DrawLine(Pens.Green, 0, 0, ix, -iy);
            // Return CSng(Math.Cos((Math.PI * degAngle / 180.0F)))
            //int deg = 98;
            //int pingDistance = 225;
            //double x = Math.Cos(d) * 200;
            //double y = Math.Sin(d) * 200;

            // float x = GetCos(deg + 180) * pingDistance;
            // float y = GetSin(deg + 180) * pingDistance;

            // g.DrawLine(Pens.Black, 0, 0, (int)x, (int)y);
            base.OnPaint(e);
        }
        private void SetScale(Graphics g)
        {
            // if the form is too small, do nothing
            if (Width == 0 || Height == 0)
                return;
            // set the origin at the center
            g.TranslateTransform(Width / 2, Height / 2);
            // set inches to the minimum of the width
            // or height dividedby the dots per inch
            float inches = Math.Min(Width / g.DpiX, Height / g.DpiX);
            // set the scale to a grid of 2000 by 2000 units
            //g.ScaleTransform(inches * g.DpiX / 200, inches * g.DpiY / 200);
        }
    }
}
